/* Általános stílusok */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f0f0f0;
}

#calendarbutton {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 2;
}

#datetoday {
    margin-top: -7px;
    margin-bottom: -7px;
    color: #444;
    font-size: .75rem;
}

.svg {
    fill: white;
}

.button {
    background-color: #868f8b;
    border: none;
    color: white;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    border-radius: 4px;
}

.button:hover {
    background-color: #696969;
    cursor: pointer;
}

#all {
    margin: 8px;
    height: 100%;
}

#all .card {
    height: 220px;
}

#all .main-card {
    scroll-margin-top: 50px;
    height: 220px;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.card {
    width: 300px;
    height: 380px;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    /* Fent kezdődik a tartalom */
    text-align: center;
    border-radius: 8px;
    padding: 10px;
    position: relative;
    /* A belső elemek pozicionálásához */
}

.card h2 {
    height: 40px;
    align-content: center;
    text-decoration: underline;
    margin: 0;
    font-size: 18px;
    color: #333;
    text-align: center;
}

.card-content {
    flex-grow: 1;
    /* Kitölti a maradék helyet a kártyán belül */
    display: flex;
    justify-content: center;
    align-items: center;
    /* Középre helyezi a tartalom szöveget */
    flex-flow: column;
}

.card-content p:not(:last-child) {
    margin-bottom: 10px;
}

.card-content p {
    margin: 0;
    font-size: 14px;
    color: #555;
    font-weight: bold;
}

/* Középső kártya magasabb asztali nézetben */
.main-card {
    height: 420px;
    background-color: #f9c74f;
}

.main-card p {
    color: #333;
}

/* Mobil nézet */
@media (max-width: 768px) {
    body {
        height: auto;
        padding: 20px;
    }

    .container {
        flex-direction: column;
        width: 100%;
    }

    .card {
        width: 80%;
        /* max-width: 300px; */
        height: 160px;
        /* Egyenlő magasság */
    }

    .main-card {
        /* order: -1; */
        /* Középső kártya felülre kerül */
        height: 220px;
        /* Egyenlő magasság */
    }
}